mprobe(8zm)

NAME
mprobe - smtp-server aliveness probe

SYNOPSIS

mprobe
    hostname

DESCRIPTION
The mprobe(8zm) is usable to test, if the named host (no IP address allowed!) has a smtp-server, that responds properly.

EXIT CODES

0   All is well, smtp-server responded just fine

2   Can't resolve target hostname

3   mprobe(8zm) internal failure, can't create socket (should not happen!)

4   failed to connect to the remote host

5   mprobe(8zm) internal failure, fdopen() failed.. (should not happen!)

17, 19
    The remote smtp-server hung-up on us, most likely

18  The remote smtp-server did respond something, but it did not begin with "220"

20  Timeout (60 seconds) from start of processing.

99  Missing mandatory host parameter.

SEE ALSO
scheduler(8zm), smtpserver(8zm), smtp(8zm), zmailer.conf(5zm).

AUTHOR
This tool is authored and copyright by:
    Matti Aarnio <mea@nic.funet.fi>